# NFC tag write

A decision block that lets the user write content to NFC tags.

The fiber will pause until the user has written to one or more tags, cancelled the dialog or the timeout expired.

If NDEF type is set to Text or URI the content is converted to text, if Automate, the content can be any value type.

Use the Read tag button inspect tags.

## Input arguments

- Content — an expression, the result will be written to the tags.
- NDEF type — type of content written to tag, default is Automate.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Written tag ID — variable to assign the ID of the last written tag.